body {
    font-family: 'Segoe UI', Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.logo-container {
    position: absolute;
    top: 20px;
    left: 20px;
}

.logo-container img {
    height: 90px;
}

@keyframes appear {
    from {opacity: 0; transform: translateY(-20px);}
    to {opacity: 1; transform: translateY(0);}
}

.login-container {
    background-color: #fff;
    padding: 5%;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 30vw;
    max-width: 400px;
    text-align: center;
    animation: appear 0.5s ease-out;
}

.login-title {
    font-size: 2vw;
    color: #235517;
    margin-bottom: 20px;
}

.form-group {
    margin-bottom: 15px;
}

input {
    width: 100%;
    padding: 10px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 1.4vw;
}

input::placeholder {
    color: #999;
}

.login-btn {
    background-color: #235517;
    color: white;
    padding: 12px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
    font-size: 1.7vw;
    margin-top: 10px;
}

.login-btn:hover {
    background-color: #1b4513;
}


@media (max-width: 768px) {
    .login-container {
        width: 125vw;
        padding: 10%;
        max-width: none;
    }

    .login-title {
        font-size: 10vw;
    }

    input {
        font-size: 8vw;
        padding: 16px;
    }

    .login-btn {
        font-size: 8vw;
        padding: 20px;
    }

    .logo-container img {
        height: 150px;
    }
}
